from prometheus_client import start_http_server, Summary, Counter
import random
import time

# Create a metric to track time spent and requests made.
#REQUEST_TIME = Summary('request_processing_seconds', 'Time spent processing request', 'foo')
#REQUEST_TIME = Summary('request_processing_seconds', 'foo')


# Decorate function with metric.
#@REQUEST_TIME.time()
#def process_request(t):
#    """A dummy function that takes some time."""
#    time.sleep(t)

c = Counter("tcp_reset_stats", "TCP RST stats")
def tcp_rst_stats():
    c.inc()

if __name__ == '__main__':
    # Start up the server to expose the metrics.
    start_http_server(8000)
    # Generate some requests.
    while True:
        # process_request(random.random())

        # Count
        print("Inc")
        tcp_rst_stats()
        time.sleep(30)
